# Loki::LongevityLifetime::DieDirectlyBeforeLast< T > Struct Template Reference
[LongevityLifetime]

Lifetime is a one less than DieLast: 0xFFFFFFFF-1. More...

`#include <Singleton.h>`

Inheritance diagram for Loki::LongevityLifetime::DieDirectlyBeforeLast< T >:
[legend]
Collaboration diagram for Loki::LongevityLifetime::DieDirectlyBeforeLast< T >:
[legend]

List of all members.

## Detailed Description

### template<class T>
struct Loki::LongevityLifetime::DieDirectlyBeforeLast< T >

Lifetime is a one less than DieLast: 0xFFFFFFFF-1.

The documentation for this struct was generated from the following file:

- Singleton.h